Commit eacb5eed authored by Albert Astals Cid's avatar Albert Astals Cid
Browse files

Remove poppler 0.68 ifdefs since we require 0.86 now

parent 7dce3389
...@@ -5,16 +5,6 @@ add_subdirectory( conf ) ...@@ -5,16 +5,6 @@ add_subdirectory( conf )
set(CMAKE_REQUIRED_LIBRARIES Poppler::Qt5 Qt5::Core Qt5::Gui) set(CMAKE_REQUIRED_LIBRARIES Poppler::Qt5 Qt5::Core Qt5::Gui)
check_cxx_source_compiles("
#include <poppler-qt5.h>
#include <poppler-form.h>
int main()
{
auto f = &Poppler::SignatureValidationInfo::reason;
(void)f;
}
" HAVE_POPPLER_0_68)
check_cxx_source_compiles(" check_cxx_source_compiles("
#include <poppler-qt5.h> #include <poppler-qt5.h>
#include <QColor> #include <QColor>
......
/* Defined if we have the 0.68 version of the Poppler library */
#cmakedefine HAVE_POPPLER_0_68 1
/* Defined if we have the 0.69 version of the Poppler library */ /* Defined if we have the 0.69 version of the Poppler library */
#cmakedefine HAVE_POPPLER_0_69 1 #cmakedefine HAVE_POPPLER_0_69 1
......
...@@ -220,20 +220,12 @@ QString PopplerSignatureInfo::signerSubjectDN() const ...@@ -220,20 +220,12 @@ QString PopplerSignatureInfo::signerSubjectDN() const
QString PopplerSignatureInfo::location() const QString PopplerSignatureInfo::location() const
{ {
#ifdef HAVE_POPPLER_0_68
return m_info.location(); return m_info.location();
#else
return {};
#endif
} }
QString PopplerSignatureInfo::reason() const QString PopplerSignatureInfo::reason() const
{ {
#ifdef HAVE_POPPLER_0_68
return m_info.reason(); return m_info.reason();
#else
return {};
#endif
} }
QDateTime PopplerSignatureInfo::signingTime() const QDateTime PopplerSignatureInfo::signingTime() const
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment